Show an Invoice
curl --request GET \
--url https://public-api.stora.co/2025-09/invoices/{invoice_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/invoices/{invoice_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/invoices/{invoice_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.stora.co/2025-09/invoices/{invoice_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.stora.co/2025-09/invoices/{invoice_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.stora.co/2025-09/invoices/{invoice_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.stora.co/2025-09/invoices/{invoice_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"invoice": {
"id": "inv_195h6kfm9ro15lof",
"amount_due": {
"amount": 5000,
"currency": "GBP",
"formatted": "£50.00"
},
"amount_paid": {
"amount": 4000,
"currency": "GBP",
"formatted": "£40.00"
},
"collection_status": "pending",
"contact": {
"id": "con_195h6kfm9ro15lof"
},
"created_at": null,
"due_date": null,
"finalized_at": null,
"line_items": [
{
"accounting_code": "ACC-CODE",
"description": "Security deposit for XYZ",
"discount_total": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"price": {
"amount": 100000,
"currency": "GBP",
"formatted": "£1,000.00"
},
"proration": false,
"quantity": 1,
"tax": {
"amount": 10000,
"currency": "GBP",
"formatted": "£100.00"
},
"total": {
"amount": 100000,
"currency": "GBP",
"formatted": "£1,000.00"
},
"total_excluding_tax": {
"amount": 90000,
"currency": "GBP",
"formatted": "£900.00"
},
"type": null
},
{
"accounting_code": "ACC-CODE",
"description": "Security deposit for XYZ",
"discount_total": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"price": {
"amount": 100000,
"currency": "GBP",
"formatted": "£1,000.00"
},
"proration": false,
"quantity": 1,
"tax": {
"amount": 10000,
"currency": "GBP",
"formatted": "£100.00"
},
"total": {
"amount": 100000,
"currency": "GBP",
"formatted": "£1,000.00"
},
"total_excluding_tax": {
"amount": 90000,
"currency": "GBP",
"formatted": "£900.00"
},
"type": null
}
],
"number": "ABC-361",
"paid_at": null,
"period_end": null,
"period_start": null,
"post_payment_credit_notes_amount": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"pre_payment_credit_notes_amount": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"purchase_order_number": null,
"refund_status": "not_refunded",
"site": {
"id": "site_14b419f1096013f1"
},
"status": "draft",
"subscription": {
"id": "sub_f7d4fea53ccdefe0"
},
"subtotal": {
"amount": 10000,
"currency": "GBP",
"formatted": "£100.00"
},
"tax": {
"amount": 1000,
"currency": "GBP",
"formatted": "£10.00"
},
"tenancy": {
"id": "ten_acaf3269a573af74"
},
"total": {
"amount": 9000,
"currency": "GBP",
"formatted": "£90.00"
},
"type": "deposit",
"voided_at": null
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Invoices
Show an Invoice
Retrieve a specific invoice by its ID.
Supports PDF download. Set application/pdf in the Accept request header.
Required authorization scope: public.invoice:read
GET
/
2025-09
/
invoices
/
{invoice_id}
Show an Invoice
curl --request GET \
--url https://public-api.stora.co/2025-09/invoices/{invoice_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/invoices/{invoice_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/invoices/{invoice_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.stora.co/2025-09/invoices/{invoice_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.stora.co/2025-09/invoices/{invoice_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.stora.co/2025-09/invoices/{invoice_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.stora.co/2025-09/invoices/{invoice_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"invoice": {
"id": "inv_195h6kfm9ro15lof",
"amount_due": {
"amount": 5000,
"currency": "GBP",
"formatted": "£50.00"
},
"amount_paid": {
"amount": 4000,
"currency": "GBP",
"formatted": "£40.00"
},
"collection_status": "pending",
"contact": {
"id": "con_195h6kfm9ro15lof"
},
"created_at": null,
"due_date": null,
"finalized_at": null,
"line_items": [
{
"accounting_code": "ACC-CODE",
"description": "Security deposit for XYZ",
"discount_total": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"price": {
"amount": 100000,
"currency": "GBP",
"formatted": "£1,000.00"
},
"proration": false,
"quantity": 1,
"tax": {
"amount": 10000,
"currency": "GBP",
"formatted": "£100.00"
},
"total": {
"amount": 100000,
"currency": "GBP",
"formatted": "£1,000.00"
},
"total_excluding_tax": {
"amount": 90000,
"currency": "GBP",
"formatted": "£900.00"
},
"type": null
},
{
"accounting_code": "ACC-CODE",
"description": "Security deposit for XYZ",
"discount_total": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"price": {
"amount": 100000,
"currency": "GBP",
"formatted": "£1,000.00"
},
"proration": false,
"quantity": 1,
"tax": {
"amount": 10000,
"currency": "GBP",
"formatted": "£100.00"
},
"total": {
"amount": 100000,
"currency": "GBP",
"formatted": "£1,000.00"
},
"total_excluding_tax": {
"amount": 90000,
"currency": "GBP",
"formatted": "£900.00"
},
"type": null
}
],
"number": "ABC-361",
"paid_at": null,
"period_end": null,
"period_start": null,
"post_payment_credit_notes_amount": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"pre_payment_credit_notes_amount": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"purchase_order_number": null,
"refund_status": "not_refunded",
"site": {
"id": "site_14b419f1096013f1"
},
"status": "draft",
"subscription": {
"id": "sub_f7d4fea53ccdefe0"
},
"subtotal": {
"amount": 10000,
"currency": "GBP",
"formatted": "£100.00"
},
"tax": {
"amount": 1000,
"currency": "GBP",
"formatted": "£10.00"
},
"tenancy": {
"id": "ten_acaf3269a573af74"
},
"total": {
"amount": 9000,
"currency": "GBP",
"formatted": "£90.00"
},
"type": "deposit",
"voided_at": null
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Authorizations
BearerOAuth2
Bearer Token necessary to use API
Path Parameters
The ID of the invoice
Query Parameters
This endpoint supports expandable responses. For more, see the documentation page.
Was this page helpful?